perl-Perl-Critic-Dynamic-0.05-alt1_22.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Dynamic - Non-static policies for Perl::Critic

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Perl-Critic-Dynamic-0.05-alt1_22.noarch.rpm
Package name perl-Perl-Critic-Dynamic
Package version 0.05
Package release alt1_22
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 30.43 KB
Installed size 30.43 KB
Perl::Critic is primarily used as a static source code analyzer, which means
that it never compiles or executes any of the code that it examines. But
since Perl is a dynamic language, there are certain types of problems that
cannot be discovered until the code is actually compiled.
This distribution includes Perl::Critic::DynamicPolicy, which can be used as
a base class for Policies that wish to compile the code they analyze.

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Dynamic - - -

Requires

Name Value
/usr/share/perl5 -
perl(Devel/Symdump.pm) >= 2.070
perl(English.pm) -
perl(Perl/Critic/Policy.pm) >= 1.108
perl(Perl/Critic/Utils.pm) >= 1.108
perl(Readonly.pm) -
perl(Storable.pm) >= 2.160
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Perl/Critic/Dynamic.pm) = 0.050
perl(Perl/Critic/DynamicPolicy.pm) = 0.050
perl(Perl/Critic/Policy/Dynamic/ValidateAgainstSymbolTable.pm) = 0.050
perl-Perl-Critic-Dynamic = 0.05-alt1_22

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Perl-Critic-Dynamic-0.05-alt1_22.noarch.rpm
Source Package perl-Perl-Critic-Dynamic-0.05-alt1_22.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Perl-Critic-Dynamic rpm package:
    # sudo apt-get install perl-Perl-Critic-Dynamic

Files

Path
/usr/share/doc/perl-Perl-Critic-Dynamic-0.05/Changes
/usr/share/doc/perl-Perl-Critic-Dynamic-0.05/README
/usr/share/perl5/Perl/
/usr/share/perl5/Perl/Critic/Dynamic.pm
/usr/share/perl5/Perl/Critic/DynamicPolicy.pm
/usr/share/perl5/Perl/Critic/Policy/
/usr/share/perl5/Perl/Critic/Policy/Dynamic/ValidateAgainstSymbolTable.pm

See Also

Package Description
perl-Perl-Critic-Freenode-0.031-alt1.noarch.rpm Perl::Critic policies inspired by #perl on freenode IRC
perl-Perl-Critic-Git-1.3.1-alt1.noarch.rpm Bond git and Perl::Critic to blame the right people for violations
perl-Perl-Critic-Itch-0.07-alt1_21.noarch.rpm Collection of Perl::Critic policies to solve some itches
perl-Perl-Critic-Lax-0.013-alt1_9.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-Lokku-0.003-alt1.noarch.rpm A collection of Perl::Critic policies from Lokku
perl-Perl-Critic-MergeProfile-0.003-alt1.noarch.rpm merge multiple Perl::Critic profiles into one
perl-Perl-Critic-Moose-1.05-alt1_10.noarch.rpm Policies for Perl::Critic concerned with using Moose
perl-Perl-Critic-More-1.003-alt1_16.noarch.rpm Supplemental policies for Perl::Critic
perl-Perl-Critic-Nits-1.0.0-alt1_24.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-OTRS-0.09-alt1.noarch.rpm A collection of handy Perl::Critic policies
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.04-alt1_16.noarch.rpm Policies to prohibit/require my pet peeves
perl-Perl-Critic-Policy-BadStrings-1.000-alt1.noarch.rpm Search for bad strings in source files
perl-Perl-Critic-Policy-BuiltinFunctions-ProhibitDeleteOnArrays-0.02-alt1.noarch.rpm Do not use C<delete> on arrays
perl-Perl-Critic-Policy-BuiltinFunctions-ProhibitReturnOr-0.01-alt1.noarch.rpm Check for "return $x or ..."
perl-Perl-Critic-Policy-Catalyst-ProhibitUnreachableCode-0.02-alt1.noarch.rpm Don't write code after an unconditional Catalyst detach
Advertisement
Advertisement